#-------------------------------------------------
#
# Project created by QtCreator 2018-012-02T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets x11extras

TEMPLATE = app
TARGET   = corekeyboard

VERSION  = 4.2.0

INCLUDEPATH += ui settings suggestions
DEPENDPATH += ui settings suggestions

# Library section
unix:!macx: LIBS += -lcprime-widgets
unix:!macx: LIBS += -lcprime-core
unix:!macx: LIBS += -lX11 -lXtst

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "org.cubocore.CoreKeyboard.desktop"

        icons.path = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files = org.cubocore.CoreKeyboard.svg

        INSTALLS += target icons desktop
}

SOURCES += \
         main.cpp\
         settings.cpp \
         ui/corekeyboard.cpp\
         suggestions/suggestions.cpp

HEADERS += \
         settings.h \
         ui/corekeyboard.h\
         trayicon.h\
         suggestions/suggestions.h

RESOURCES += \
         resources.qrc\
